# PetscGetHomeDirectory

Returns home directory name.

### Synopsis

    PetscErrorCode  PetscGetHomeDirectory(char dir[],size_t maxlen)

Not Collective

### Input Parameter

maxlen -maximum lengh allowed

### Output Parameter

dir -contains the home directory. Must be long enough to hold the name.

### Note

If PETSc cannot determine the home directory it makes dir a null string

On Windows machines the enviornmental variable HOME specifies the home directory.

Level:developer
Location: src/sys/fileio/ghome.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages